import fundamentos.Menu;
import fundamentos.Mensaje;
import cursos.*;

/**
 * Title:        ListaAlumnos<p>
 * Description:  Gestiona una unica lista de alumnos, por medio de un menu
 *               con tres opciones:
 *                     - insertar un alumno
 *                     - mirar datos de un alumno
 *                     - salir<p>
 * Company:      Universidad de Cantabria
 * @author       Michael Gonzalez
 */

public class ListaAlumnos {

  public static void main(String[] args) {


    final int 
      INSERTAR=1,
      MIRAR   =2,
      LISTAR  =3,
      SALIR   =4;

    Curso primero=new Curso(100);
    Menu menu = new Menu("Opciones");
    Mensaje mensaje = new Mensaje();
    int opcion;

    menu.insertaOpcion("Insertar",INSERTAR);
    menu.insertaOpcion("Mirar",MIRAR);
    menu.insertaOpcion("Listar",LISTAR);
    menu.insertaOpcion("Salir",SALIR);
    while (true) {
      opcion=menu.leeOpcion("Introduce opcion deseada");
      switch (opcion) {
      case INSERTAR:
         primero.anade();
	     break;
      case MIRAR:
	     primero.muestra();
	     break;
      case LISTAR:
	     primero.muestraTodos();
	     break;
      case SALIR :
	     mensaje.escribe("Fin del programa. Pulsa Cerrar");
         return;
      default :
	     mensaje.escribe("opcion incorrecta");
      }
    }
  }
}
